%define srcname Pyro4
%define oname   pyro4

Name:           python-pyro4
Version:        4.82
Release:        %mkrel 5
Summary:        PYthon Remote Objects
License:        MIT
Group:          Development/Python
Url:            https://pypi.python.org/pypi/Pyro4
Source:         https://pypi.io/packages/source/p/pyro4/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
Pyro provides an object-oriented form of RPC. You can use Pyro within a
single system but also use it for IPC. For those that are familiar with
Java, Pyro resembles Java's Remote Method Invocation (RMI). It is less
similar to CORBA - which is a system- and language independent Distributed
Object Technology and has much more to offer than Pyro or RMI.

Pyro4 is a reimplementation of the original pyro, that was begun in 2010.
According to upstream, pyro4 can now be considered the new ‘main’ Pyro
version. Since it is not API compatible to pyro-3.x, the package was renamed
to Pyro4

%package -n python3-%{oname}
Summary:        Python 3 Remote Objects
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
Pyro provides an object-oriented form of RPC. You can use Pyro within a
single system but also use it for IPC. For those that are familiar with
Java, Pyro resembles Java's Remote Method Invocation (RMI). It is less
similar to CORBA - which is a system- and language independent Distributed
Object Technology and has much more to offer than Pyro or RMI.

Pyro4 is a reimplementation of the original pyro, that was begun in 2010.
According to upstream, pyro4 can now be considered the new ‘main’ Pyro
version. Since it is not API compatible to pyro-3.x, the package was renamed
to Pyro4

%package -n %{name}-doc
Summary:	Documentation for %{srcname}
Group:          Documentation

%description -n %{name}-doc
Pyro provides an object-oriented form of RPC. You can use Pyro within a
single system but also use it for IPC. For those that are familiar with
Java, Pyro resembles Java's Remote Method Invocation (RMI). It is less
similar to CORBA - which is a system- and language independent Distributed
Object Technology and has much more to offer than Pyro or RMI.

Pyro4 is a reimplementation of the original pyro, that was begun in 2010.
According to upstream, pyro4 can now be considered the new ‘main’ Pyro
version. Since it is not API compatible to pyro-3.x, the package was renamed
to Pyro4

%prep
%setup -q -n %{srcname}-%{version}


# fix docs build
sed -i -e 's|.add_stylesheet|.add_css_file|g' docs/source/conf.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# docs
PYTHONPATH=${PWD} sphinx-build docs/source html

%install
%pyproject_install
%pyproject_save_files Pyro4

%files -n python3-%{oname} -f %{pyproject_files}
%{_bindir}/*

%files -n %{name}-doc
%doc html examples/*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 4.82-5.mga10
+ Revision: 2240367
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 4.82-4.mga10
+ Revision: 2157386
- rebuild for python3.13

* Sun Jan 28 2024 papoteur <papoteur> 4.82-3.mga10
+ Revision: 2035543
- rebuild for python 3.12
- use pyproject

* Tue Mar 29 2022 umeabot <umeabot> 4.82-2.mga9
+ Revision: 1832647
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 4.82-1.mga9
+ Revision: 1775632
- version 4.82
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 4.80-1.mga9
+ Revision: 1733813
- new version 4.80
- Rebuild for python 3.9
+ tmb <tmb>
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 4.76-3.mga8
+ Revision: 1535091
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 4.76-2.mga8
+ Revision: 1451523
- rebuild for python-3.8
- drop python2 subpkg

* Sun Aug 25 2019 wally <wally> 4.76-1.mga8
+ Revision: 1432083
- new version 4.76
- obsolete python-pyro415

* Wed Jan 09 2019 shlomif <shlomif> 4.74-1.mga7
+ Revision: 1353984
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 4.71-2.mga7
+ Revision: 1289797
- Mageia 7 Mass Rebuild

* Mon Apr 16 2018 kekepower <kekepower> 4.71-1.mga7
+ Revision: 1219187
- Update to version 4.71

* Wed Mar 21 2018 kekepower <kekepower> 4.70-1.mga7
+ Revision: 1210951
- Update to version 4.70
- Renamed python-pyro4 to python2-pyro4
- Created python3-pyro4
- Created python-pyro4-doc

* Thu Feb 04 2016 umeabot <umeabot> 4.23-6.mga6
+ Revision: 936149
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.23-5.mga5
+ Revision: 749091
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.23-4.mga5
+ Revision: 729543
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.23-3.mga5
+ Revision: 688275
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Sat Feb 08 2014 guillomovitch <guillomovitch> 4.23-1.mga5
+ Revision: 585860
- new version

* Tue Oct 22 2013 umeabot <umeabot> 4.21-3.mga4
+ Revision: 544005
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.21-2.mga4
+ Revision: 499269
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 19 2013 guillomovitch <guillomovitch> 4.21-1.mga4
+ Revision: 467883
- new version
- obsoletes python-pyro (duplicated package)

* Sun Jan 13 2013 umeabot <umeabot> 4.14-2.mga3
+ Revision: 379415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 obgr_seneca <obgr_seneca> 4.14-1.mga3
+ Revision: 261698
- imported package python-pyro4

